POST api/FamilyHistories

Creates a new family history or updates an existent family history's information.

Request Information

URI Parameters

None.

Body Parameters

FamilyHistoryModel
NameDescriptionTypeAdditional information
Disease

Indicates disease name of the family history (Required).

string

None.

IsDefault

Indicates whether this family history is default or not (Required).

boolean

None.

SortOrder

Indicates the sort order of this family history in the list (Required).

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "disease": "sample string 1",
  "isDefault": true,
  "sortOrder": 3,
  "id": "230e990e-2f7c-413b-b9a5-f7654edb7962",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<FamilyHistoryModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.FamilyHistories">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">230e990e-2f7c-413b-b9a5-f7654edb7962</Id>
  <Disease>sample string 1</Disease>
  <IsDefault>true</IsDefault>
  <SortOrder>3</SortOrder>
</FamilyHistoryModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'FamilyHistoryModel'.

Response Information

Resource Description

FamilyHistoryModel
NameDescriptionTypeAdditional information
Disease

Indicates disease name of the family history (Required).

string

None.

IsDefault

Indicates whether this family history is default or not (Required).

boolean

None.

SortOrder

Indicates the sort order of this family history in the list (Required).

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "disease": "sample string 1",
  "isDefault": true,
  "sortOrder": 3,
  "id": "937074de-39c8-49fb-bb8d-ef9a5037c8ee",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<FamilyHistoryModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.FamilyHistories">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">937074de-39c8-49fb-bb8d-ef9a5037c8ee</Id>
  <Disease>sample string 1</Disease>
  <IsDefault>true</IsDefault>
  <SortOrder>3</SortOrder>
</FamilyHistoryModel>